#if !COMBAT_SERVER


using UnityEngine;
using UnityEngine.Playables;
[System.Serializable]
public class ActiveGameObjectPlayableAsset : CustomizePlayableAsset
{
    
    [Header("激活对象")]public ExposedReference<GameObject> gameObject;
    [Header("是否激活")] public bool isActive;
    [Header("是否永久状态")] public bool isLasting;

    public override Playable CreatePlayable(PlayableGraph graph, GameObject owner)
    {
        ScriptPlayable<ActiveGameObjectPlayableBehaviour> playable =
            ScriptPlayable<ActiveGameObjectPlayableBehaviour>.Create(graph);
        ActiveGameObjectPlayableBehaviour activeGameObjectPlayableBehaviour = playable.GetBehaviour();
        activeGameObjectPlayableBehaviour.isActive = isActive;
        activeGameObjectPlayableBehaviour.gameObject = gameObject.Resolve (graph.GetResolver ());;
        activeGameObjectPlayableBehaviour.isLasting = isLasting;
        
        return playable;
    }
}
#endif